## cdk-5.0-20150928.tgz

=== package/freebsd/Makefile ===
# Created by: Andrey Zakhvatov
# $FreeBSD: devel/cdk/Makefile 315072 2013-03-23 19:19:55Z bapt $

PORTNAME=	cdk
PORTVERSION=	5.0.20150928

PORTREVISION=	2
PORTEPOCH=	1
CATEGORIES=	devel
MASTER_SITES=	ftp://invisible-island.net/cdk/ \
		http://fossies.org/linux/misc/
DISTNAME=	${PORTNAME}-${PORTVERSION:R}-${PORTVERSION:E}
EXTRACT_SUFX=	.tgz

MAINTAINER=	bapt@FreeBSD.org
COMMENT=	Curses Development Kit for speedy development of full screen programs

LICENSE=	BSD

USE_GMAKE=	yes
USE_NCURSES=	yes
GNU_CONFIGURE=	yes
PORTDOCS=	COPYING EXPANDING INSTALL NOTES README TODO
MAKE_JOBS_UNSAFE=	yes

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=--with-ncurses --verbose
ALL_TARGET=	default examples demos cli cdkshlib
INSTALL_TARGET=	install installCDKSHLibrary
USE_LDCONFIG=	yes

.include "${.CURDIR}/maninfo.mk"

post-extract:
.if ! ${PORT_OPTIONS:MDOCS}
EXTRA_PATCHES+=      ${FILESDIR}/extra-patch-Makefile.in
.endif

post-patch:
	@${REINPLACE_CMD} -e 's|/doc/cdk|/share/doc/cdk| ; s|VERSION)|VERSION_MAJOR)|' \
		-e 's|gcc|${CC}|g' ${WRKSRC}/Makefile.in
	@${REINPLACE_CMD} -e 's|$$(INSTALL_DATA) cdk-config|$(INSTALL_SCRIPT) cdk-config|g' \
		${WRKSRC}/Makefile.in

post-install:
.if ${PORT_OPTIONS:MEXAMPLES}
	${INSTALL} -d ${EXAMPLESDIR}
	${INSTALL} -d ${EXAMPLESDIR}/cli
	cd ${WRKSRC}/cli; \
	${FIND} . | ${CPIO} -pdm -R ${LIBOWN}:${LIBGRP} ${EXAMPLESDIR}/cli
	${INSTALL} -d ${EXAMPLESDIR}/demos
	cd ${WRKSRC}/demos; \
	${FIND} . | ${CPIO} -pdm -R ${LIBOWN}:${LIBGRP} ${EXAMPLESDIR}/demos
	${INSTALL} -d ${EXAMPLESDIR}/examples
	cd ${WRKSRC}/examples; \
	${FIND} . | ${CPIO} -pdm -R ${LIBOWN}:${LIBGRP} ${EXAMPLESDIR}/examples
.endif

.include <bsd.port.mk>

=== package/debian/changelog ===
cdk (5.0.20150928) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 25 Sep 2015 07:58:10 -0400

cdk (5.0.20150103) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 Jan 2015 20:43:29 -0500

cdk (5.0.20141106) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 02 Nov 2014 08:42:09 -0500

cdk (5.0.20140118) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 18 Jan 2014 09:01:14 -0500

cdk (5.0.20140101) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 01 Jan 2014 17:15:01 -0500

cdk (5.0.20131117) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 17 Nov 2013 09:10:09 -0500

cdk (5.0.20131107) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 02 Nov 2013 11:36:50 -0400

cdk (5.0-20130901) unstable; urgency=low

  * improvements to configure script
  * minor fixes

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 15 Jun 2013 10:55:30 -0400

cdk (5.0-20120323) unstable; urgency=low

  * bug-report for gmtime/localtime usage.
  * Fixes for package scripts.
  * Debian #500161

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 18 Mar 2012 19:38:57 -0400

cdk (5.0-20110517) unstable; urgency=high

  * Initial package release

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 14 May 2011 08:15:31 -0400

=== package/debian/control ===
Source: cdk
Maintainer: Thomas E. Dickey <dickey@invisible-island.net>
Section: misc
Priority: optional
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), libncursesw5-dev (>= 5.3), groff-base
Homepage: http://invisible-island.net/cdk/

Package: libcdk5
Architecture: any
Depends: libncursesw5 (>= 5.3)
Description: Cdk - Curses Development Kit
 Cdk stands for "Curses Development Kit".  It contains a large number of ready
 to use widgets which facilitate the speedy development of full-screen curses
 programs.

Package: libcdk5-dev
Architecture: any
Depends: libncursesw5 (>= 5.3), libcdk5
Suggests: libcdk-doc
Description: Cdk - Curses Development Kit
 Cdk stands for "Curses Development Kit".  It contains a large number of ready
 to use widgets which facilitate the speedy development of full-screen curses
 programs.
 .
 This package contains the header-files and development libraries for
 libcdk5.

Package: libcdk5-doc
Architecture: any
Depends: groff-base
Description: Cdk - Curses Development Kit
 Cdk stands for "Curses Development Kit".  It contains a large number of ready
 to use widgets which facilitate the speedy development of full-screen curses
 programs.
 .
 This package contains the manpages for libcdk5 and libcdkw5.

=== package/debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# packages
PACKAGES.indep = libcdk5-doc
PACKAGES.arch  = libcdk5-dev libcdk5

CFLAGS =

TARGET = $(CURDIR)/debian
P_SHARED = $(CURDIR)/t/shared
P_STATIC = $(CURDIR)/t/static

verbose = # -v

LOG = @echo "**"

configure = ../../configure \
		--disable-echo \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--with-screen=ncursesw6 \
		--with-versioned-syms \
		--with-libname=cdk \
		--disable-rpath-hack

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

.PHONY: all config build install binary clean config-indep config-arch \
    build-indep build-arch install-indep install-arch binary-indep \
    binary-arch

all: build

config: config-indep config-arch
build: build-indep build-arch
install: install-indep install-arch
binary: binary-indep binary-arch
clean:
	dh_testdir
	dh_testroot
	dh_clean $(verbose)
	rm -rf t

config-indep: $(PACKAGES.indep:%=config-%-stamp)
config-arch: $(PACKAGES.arch:%=config-%-stamp)

build-indep: $(PACKAGES.indep:%=build-%-stamp)
build-arch: $(PACKAGES.arch:%=build-%-stamp)

install-indep: $(PACKAGES.indep:%=install-%-stamp)
install-arch: $(PACKAGES.arch:%=install-%-stamp)

binary-indep: install-indep
ifneq ($(PACKAGES.indep),)
	rm -f $(PACKAGES.indep:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_installdocs       $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installman        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installexamples   $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installchangelogs $(verbose) $(PACKAGES.indep:%=-p%) -k CHANGES
	dh_compress          $(verbose) $(PACKAGES.indep:%=-p%)
	dh_fixperms          $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installdeb        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_gencontrol        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_md5sums           $(verbose) $(PACKAGES.indep:%=-p%)
	dh_builddeb          $(verbose) $(PACKAGES.indep:%=-p%)
endif

binary-arch: install-arch
ifneq ($(PACKAGES.arch),)
	rm -f $(PACKAGES.arch:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_link              $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installdocs       $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installmenu       $(verbose) $(PACKAGES.arch:%=-p%)
	dh_strip             $(verbose) $(PACKAGES.arch:%=-p%)
	dh_compress          $(verbose) $(PACKAGES.arch:%=-p%)
	dh_fixperms          $(verbose) $(PACKAGES.arch:%=-p%)
	dh_makeshlibs        $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installdeb        $(verbose) $(PACKAGES.arch:%=-p%)
	dh_shlibdeps         $(verbose) $(PACKAGES.arch:%=-p%)
	dh_gencontrol        $(verbose) $(PACKAGES.arch:%=-p%)
	dh_md5sums           $(verbose) $(PACKAGES.arch:%=-p%)
	dh_builddeb          $(verbose) $(PACKAGES.arch:%=-p%)
endif

#------------------------------------------------------------------------------
config-libcdk5-stamp       :
	$(LOG) "configuring libcdk5"
	dh_testdir

	rm -rf $(P_SHARED)
	mkdir -p $(P_SHARED)

	cd $(P_SHARED); CFLAGS="$(CFLAGS)" \
	$(configure) --with-shared --with-versioned-syms

	rm -rf $(P_STATIC)
	mkdir -p $(P_STATIC)

	cd $(P_STATIC); CFLAGS="$(CFLAGS)" \
	$(configure)

	touch $@

build-libcdk5-stamp        : config-libcdk5-stamp
	$(LOG) "building libcdk5"
	dh_testdir

	$(MAKE) -C $(P_SHARED) all
	$(MAKE) -C $(P_STATIC) all

	touch $@

install-libcdk5-stamp      : build-libcdk5-stamp
	$(LOG) "installing libcdk5"
	dh_testdir
	dh_testroot
	dh_prep $(verbose) -plibcdk5
	dh_installdirs $(verbose) -plibcdk5

	$(MAKE) -C $(P_SHARED) DESTDIR=$(TARGET)/libcdk5 installCDKLibrary

	# remove -config file also in -dev package
	rm -rf $(TARGET)/libcdk5/usr/bin

	touch $@

#------------------------------------------------------------------------------
config-libcdk5-dev-stamp   : config-libcdk5-stamp
	touch $@

build-libcdk5-dev-stamp    : build-libcdk5-stamp
	touch $@

install-libcdk5-dev-stamp  : install-libcdk5-stamp
	$(LOG) "installing libcdk5-dev"
	dh_testdir
	dh_testroot
	dh_prep $(verbose) -plibcdk5-dev
	dh_installdirs $(verbose) -plibcdk5-dev

	$(MAKE) -C $(P_SHARED) DESTDIR=$(TARGET)/libcdk5-dev installCDKHeaderFiles
	$(MAKE) -C $(P_STATIC) DESTDIR=$(TARGET)/libcdk5-dev install.libs

	# get the symbolic link, but not the actual file
	$(MAKE) -C $(P_SHARED) DESTDIR=$(TARGET)/libcdk5-dev install.libs
	find $(TARGET)/libcdk5-dev/usr/lib -type f -name '*.so*' -exec rm -f {} \;

	touch $@

#------------------------------------------------------------------------------
config-libcdk5-doc-stamp   : config-libcdk5-stamp
	touch $@

build-libcdk5-doc-stamp    : build-libcdk5-stamp
	touch $@

install-libcdk5-doc-stamp  : install-libcdk5-stamp
	$(LOG) "installing libcdk5-doc"
	dh_testdir
	dh_testroot
	dh_prep $(verbose) -plibcdk5-doc
	dh_installdirs $(verbose) -plibcdk5-doc

	$(MAKE) -C $(P_SHARED) DESTDIR=$(TARGET)/libcdk5-doc installCDKManPages
	dh_installexamples $(verbose) -plibcdk5-doc examples demos

	touch $@
